VMware Tools를 수동으로 업그레이드하거나, 새로운 버전의 VMware Tools를 확인하여 설치하도록 가상 시스템을 구성할 수 있습니다.

가상 시스템 전원을 켜면 게스트 운영 체제가 VMware Tools 버전을 확인합니다. 새 버전이 확인되면 가상 시스템의 상태 표시줄에 메시지가 표시됩니다. VMware Tools와 함께 제공되는 ESXi 버전도 표시됩니다.

Windows 가상 시스템에서 사용 가능한 업그레이드가 있을 때 알림을 표시하도록 VMware Tools를 설정할 수 있습니다. 이 알림 옵션을 설정하면 VMware Tools 업그레이드가 있을 때 Windows 작업 표시줄의 VMware Tools 아이콘에 노란색 주의 아이콘이 표시됩니다.

VMware Tools 업그레이드는 VMware Tools를 처음 설치할 때와 동일한 방법으로 설치할 수 있습니다. VMware Tools 업그레이드는 새 버전을 설치하는 것을 의미합니다.

Windows 및 Linux 게스트 운영 체제에서는 VMware Tools 업그레이드를 자동으로 수행하도록 가상 시스템을 구성할 수 있습니다. 버전 확인 작업은 가상 시스템 전원을 켤 때 수행되지만 Windows 게스트 운영 체제에서 자동 업그레이드는 가상 시스템의 전원을 끄거나 가상 시스템을 다시 시작할 때 수행됩니다. 업그레이드가 진행 중이면 상태 표시줄에 VMware Tools 설치...라는 메시지가 표시됩니다.

중요:

Linux 게스트 운영 체제에서 VMware Tools를 업그레이드하면 새로운 네트워크 모듈이 표시되지만 이러한 네트워크 모듈을 사용하려면 먼저 게스트 운영 체제를 다시 시작하거나 네트워킹을 중지하고, VMware 네트워킹 커널 모듈을 언로드했다가 다시 로드한 후 네트워킹을 다시 시작해야 합니다. 즉, VMware Tools 자동 업그레이드를 설정한 경우에도 새로운 기능을 실제로 사용하려면 네트워크 모듈을 다시 시작하거나 다시 로드해야 합니다.

이와 같은 구성을 통해 네트워크 중단을 방지하고 SSH를 통해 VMware Tools를 설치할 수 있습니다.

vSphere 가상 시스템의 경우 다음 프로세스 중 하나를 사용하여 여러 가상 시스템을 동시에 업그레이드할 수 있습니다.

다음 프로세스 중 하나를 사용하여 여러 가상 시스템을 동시에 업그레이드할 수 있습니다.

  • vCenter Server에 로그인하여 호스트나 클러스터를 선택한 후 가상 시스템 탭에서 VMware Tools 업그레이드를 수행할 가상 시스템을 지정합니다.

  • Update Manager를 사용하여 폴더 또는 데이터 센터 수준에서 가상 시스템의 오케스트레이션 업그레이드를 수행합니다.

특정 릴리스의 VMware 제품에 있는 일부 기능은 해당 릴리스에 포함된 VMware Tools 버전으로 업그레이드하는지, 아니면 해당 버전을 설치하는지에 따라 달라질 수 있습니다. 항상 최신 버전의 VMware Tools로 업그레이드할 필요는 없지만 VMware에서는 VMware Tools의 가장 최신 버전으로 업그레이드할 것을 권장합니다. 하지만 VMware Tools 버전이 더 최신일수록 여러 ESXi 호스트 버전과 호환됩니다. 불필요한 업그레이드를 방지하려면 추가된 특성과 기능이 현재 환경에 필요한지 여부를 평가하십시오. 가상 시스템 호환성 설정에 사용 가능한 하드웨어 기능 를 참조하십시오. 그러나 최신 버전의 VMware Tools를 설치하고 사용하는 것이 좋습니다.

특정 릴리스의 VMware 제품에 있는 일부 기능은 해당 릴리스에 포함된 VMware Tools 버전으로 업그레이드하는지, 아니면 해당 버전을 설치하는지에 따라 달라질 수 있습니다. 항상 최신 버전의 VMware Tools로 업그레이드해야 하는 것은 아닙니다. 하지만 VMware Tools 버전이 더 최신일수록 여러 호스트 버전과 호환됩니다. 불필요한 업그레이드를 방지하려면 추가된 특성과 기능이 현재 환경에 필요한지 여부를 평가하십시오.

표 1. 가상 시스템 호환성 옵션

호환성

설명

ESXi 6.0 이상

이 가상 시스템(하드웨어 버전 11)은 ESXi 6.0 이상과 호환됩니다.

ESXi 5.5 이상

이 가상 시스템(하드웨어 버전 10)은 ESXi 5.5 이상과 호환됩니다.

ESXi 5.1 이상

이 가상 시스템(하드웨어 버전 9)은 ESXi 5.1 이상과 호환됩니다.

ESXi 5.0 이상

이 가상 시스템(하드웨어 버전 8)은 ESXi 5.0 및 5.1과 호환됩니다.

ESX/ESXi 4.x 이상

이 가상 시스템(하드웨어 버전 7)은 ESX/ESXi 4.x, ESXi 5.0 및 ESXi 5.1과 호환됩니다.

ESX/ESXi 3.5 이상

이 가상 시스템(하드웨어 버전 4)은 ESX/ESX 3.5와 호환됩니다. ESX/ESX 4.x 및 ESXi 5.1. 또한 VMware Server 1.0 이상과도 호환됩니다. ESXi 5.0에서 ESX/ESXi 3.5와 호환되는 가상 시스템을 생성할 수 없습니다.

자세한 내용은 해당 VMware 제품 설명서를 참조하십시오.